
TOP=@TOP@

SMP=$(shell uname -v | awk '{ print $$2 }')
# strip twice: \n to space, space to ''
HOSTOS=$(strip $(strip $(shell uname -s) ))
ifeq "$(HOSTOS)-$(SMP)"  "Linux-SMP"
export MAKE=make -j2
else
export MAKE=make
endif

all clean dep compile pp: 
	$(MAKE) -C source $@

distrib: forth

forth: tiasm $(OUTDIRS)
	$(MAKE) -C Distrib/ROMs/Forth TOP=$(TOP)

FORCE:

tools: FORCE
	$(MAKE) -C tools TOP=$(TOP)







